curl "https://api.mielto.com/api/v1/conversations?skip=0&limit=20&status=active" \
-H "X-API-Key: YOUR_API_KEY"
import requests
response = requests.get(
"https://api.mielto.com/api/v1/conversations",
headers={"X-API-Key": "YOUR_API_KEY"},
params={
"skip": 0,
"limit": 20,
"status": "active"
}
)
conversations = response.json()
const response = await fetch("https://api.mielto.com/api/v1/conversations?skip=0&limit=20&status=active", {
headers: {
"X-API-Key": "YOUR_API_KEY"
}
});
const conversations = await response.json();
{
"data": [
{
"id": "conv_123456789",
"title": "Product Strategy Discussion",
"summary": "Discussion about Q2 product strategy and key market considerations",
"status": "active",
"is_public": false,
"collections": ["col_123456789"],
"meta_data": {
"category": "planning",
"priority": "high"
},
"settings": {
"auto_summarize": true,
"context_window": 4000
},
"ended_at": null,
"owner_id": "usr_123456789",
"workspace_id": "wsp_123456789",
"created_by": "usr_123456789",
"created_at": "2024-01-16T10:00:00Z",
"updated_at": "2024-01-16T12:30:00Z"
},
{
"id": "conv_987654321",
"title": "Customer Feedback Analysis",
"summary": "Analysis of recent customer feedback and improvement suggestions",
"status": "active",
"is_public": false,
"collections": ["col_987654321"],
"meta_data": {
"category": "feedback",
"priority": "medium"
},
"settings": {
"auto_summarize": true,
"context_window": 3000
},
"ended_at": null,
"owner_id": "usr_987654321",
"workspace_id": "wsp_123456789",
"created_by": "usr_987654321",
"created_at": "2024-01-15T14:20:00Z",
"updated_at": "2024-01-16T09:15:00Z"
}
],
"total_count": 25
}
List Conversations
List conversations in your workspace with filtering and pagination
GET
/
api
/
v1
/
conversations
curl "https://api.mielto.com/api/v1/conversations?skip=0&limit=20&status=active" \
-H "X-API-Key: YOUR_API_KEY"
import requests
response = requests.get(
"https://api.mielto.com/api/v1/conversations",
headers={"X-API-Key": "YOUR_API_KEY"},
params={
"skip": 0,
"limit": 20,
"status": "active"
}
)
conversations = response.json()
const response = await fetch("https://api.mielto.com/api/v1/conversations?skip=0&limit=20&status=active", {
headers: {
"X-API-Key": "YOUR_API_KEY"
}
});
const conversations = await response.json();
{
"data": [
{
"id": "conv_123456789",
"title": "Product Strategy Discussion",
"summary": "Discussion about Q2 product strategy and key market considerations",
"status": "active",
"is_public": false,
"collections": ["col_123456789"],
"meta_data": {
"category": "planning",
"priority": "high"
},
"settings": {
"auto_summarize": true,
"context_window": 4000
},
"ended_at": null,
"owner_id": "usr_123456789",
"workspace_id": "wsp_123456789",
"created_by": "usr_123456789",
"created_at": "2024-01-16T10:00:00Z",
"updated_at": "2024-01-16T12:30:00Z"
},
{
"id": "conv_987654321",
"title": "Customer Feedback Analysis",
"summary": "Analysis of recent customer feedback and improvement suggestions",
"status": "active",
"is_public": false,
"collections": ["col_987654321"],
"meta_data": {
"category": "feedback",
"priority": "medium"
},
"settings": {
"auto_summarize": true,
"context_window": 3000
},
"ended_at": null,
"owner_id": "usr_987654321",
"workspace_id": "wsp_123456789",
"created_by": "usr_987654321",
"created_at": "2024-01-15T14:20:00Z",
"updated_at": "2024-01-16T09:15:00Z"
}
],
"total_count": 25
}
List Conversations
Retrieve a paginated list of conversations in your workspace with optional filtering and search capabilities.Headers
string
Bearer token for authentication
string
API key for authentication (alternative to Authorization header)
string
Optional. Derived from API Key, but can be specified if you have access to multiple workspaces
Query Parameters
integer
default:"0"
Number of conversations to skip for pagination
integer
default:"100"
Maximum number of conversations to return (1-1000)
string
Filter by conversation status (active, ended, archived)
string
Search conversations by title
string
Filter conversations by user ID
string
Filter conversations by associated collection ID
Response
array
Array of conversation objects
Show conversation object
Show conversation object
string
Unique conversation identifier
string
Conversation title
string
Auto-generated conversation summary
string
Conversation status (active, ended, archived)
boolean
Whether the conversation is public
array
Array of associated collection IDs
object
Additional conversation metadata
string
Timestamp when conversation was ended (if applicable)
string
ID of the conversation owner
string
ID of the workspace
string
ID of the user who created the conversation
string
Timestamp when conversation was created
string
Timestamp when conversation was last updated
integer
Total number of conversations matching the filters
curl "https://api.mielto.com/api/v1/conversations?skip=0&limit=20&status=active" \
-H "X-API-Key: YOUR_API_KEY"
import requests
response = requests.get(
"https://api.mielto.com/api/v1/conversations",
headers={"X-API-Key": "YOUR_API_KEY"},
params={
"skip": 0,
"limit": 20,
"status": "active"
}
)
conversations = response.json()
const response = await fetch("https://api.mielto.com/api/v1/conversations?skip=0&limit=20&status=active", {
headers: {
"X-API-Key": "YOUR_API_KEY"
}
});
const conversations = await response.json();
{
"data": [
{
"id": "conv_123456789",
"title": "Product Strategy Discussion",
"summary": "Discussion about Q2 product strategy and key market considerations",
"status": "active",
"is_public": false,
"collections": ["col_123456789"],
"meta_data": {
"category": "planning",
"priority": "high"
},
"settings": {
"auto_summarize": true,
"context_window": 4000
},
"ended_at": null,
"owner_id": "usr_123456789",
"workspace_id": "wsp_123456789",
"created_by": "usr_123456789",
"created_at": "2024-01-16T10:00:00Z",
"updated_at": "2024-01-16T12:30:00Z"
},
{
"id": "conv_987654321",
"title": "Customer Feedback Analysis",
"summary": "Analysis of recent customer feedback and improvement suggestions",
"status": "active",
"is_public": false,
"collections": ["col_987654321"],
"meta_data": {
"category": "feedback",
"priority": "medium"
},
"settings": {
"auto_summarize": true,
"context_window": 3000
},
"ended_at": null,
"owner_id": "usr_987654321",
"workspace_id": "wsp_123456789",
"created_by": "usr_987654321",
"created_at": "2024-01-15T14:20:00Z",
"updated_at": "2024-01-16T09:15:00Z"
}
],
"total_count": 25
}
Use pagination parameters
skip and limit to efficiently navigate through large numbers of conversations. The search parameter performs fuzzy matching on conversation titles.⌘I